Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event.impl
Class RequiredControl

    java.lang.Object
      org.apache.cocoon.forms.event.impl.RequiredControl

All Implemented Interfaces:
  ConfigurableWidgetListener, EventListener, ProcessingPhaseListener, WidgetListener

public class RequiredControl
extends Object
implements ProcessingPhaseListener, ConfigurableWidgetListener

This processing phase listener can be used to dynamically change the required fields in a form. A field can be required depending on the value of another field or depending on the pressed submit button.

Version:
  $Id: RequiredControl.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary
`protected static class` | `RequiredControl.RequiredDescription`

Field Summary
`protected List` | `descriptions`

Constructor Summary
`RequiredControl()`

Method Summary
`void` | `phaseEnded(ProcessingPhaseEvent event)`
`void` | `setConfiguration(Element element)` This method will be called with the `Element` node of its configuration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### descriptions

    protected final List descriptions

Constructor Detail

### RequiredControl

    public RequiredControl()

Method Detail

### setConfiguration

    public void setConfiguration(Element element)
                          throws Exception

  This method will be called with the `Element` node of its configuration

  Specified by:
    `setConfiguration` in interface `ConfigurableWidgetListener`
  Throws:
    `Exception`

### phaseEnded

    public void phaseEnded(ProcessingPhaseEvent event)

  Specified by:
    `phaseEnded` in interface `ProcessingPhaseListener`
  See Also:
    `ProcessingPhaseListener.phaseEnded(org.apache.cocoon.forms.event.ProcessingPhaseEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.